GamebeastDocs
Dashboard
Project APIAnnotations

Update an annotation type

PATCH
/application/{applicationId}/analytics/v1/annotations/types/{typeId}

Change a type's name, description, icon, color or default visibility, or archive it. On Gamebeast's own types only color and visibleByDefault may change.

Authorization

personalAccessTokenAuth
AuthorizationBearer <token>

Personal access token (prefixed gb_pat_). Acts on behalf of its owner and can never exceed the owner's own permissions. Send it as Authorization: Bearer <token>.

In: header

Path Parameters

applicationId*number

Gamebeast project ID

typeId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Header Parameters

environment_id*number

Gamebeast environment ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PATCH "https://example.com/application/0/analytics/v1/annotations/types/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "environment_id: 0" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "icon": "flag",  "color": "chart-1",  "systemKey": "experiment.lifecycle",  "visibleByDefault": true,  "annotationCount": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "archivedAt": "2019-08-24T14:15:22Z"}